Index: soft/giet_vm/libs/stdio.h
===================================================================
--- soft/giet_vm/libs/stdio.h	(revision 160)
+++ soft/giet_vm/libs/stdio.h	(revision 165)
@@ -12,61 +12,62 @@
 
 /* MIPS32 related functions */
-unsigned int procid();
-unsigned int proctime();
-unsigned int procnumber();
+unsigned int giet_procid();
+unsigned int giet_proctime();
 
 /* TTY device related functions */
-unsigned int tty_putc(char byte);
-unsigned int tty_puts(char *buf);
-unsigned int tty_putw(unsigned int val);
-unsigned int tty_getc(char *byte);
-unsigned int tty_getc_irq(char *byte);
-unsigned int tty_gets_irq(char *buf, unsigned int bufsize);
-unsigned int tty_getw_irq(unsigned int *val);
-unsigned int tty_printf(char *format,...);
-
-/* Timer device related functions */
-unsigned int timer_set_mode(unsigned int mode);
-unsigned int timer_set_period(unsigned int period);
-unsigned int timer_reset_irq();
-unsigned int timer_get_time(unsigned int *time);
+unsigned int giet_tty_putc(char byte);
+unsigned int giet_tty_puts(char *buf);
+unsigned int giet_tty_putw(unsigned int val);
+unsigned int giet_tty_getc_no_irq(char *byte);
+unsigned int giet_tty_getc(char *byte);
+unsigned int giet_tty_gets(char *buf, unsigned int bufsize);
+unsigned int giet_tty_getw(unsigned int *val);
+unsigned int giet_tty_printf(char *format,...);
 
 /* GCD coprocessor related functions */
-unsigned int gcd_set_opa(unsigned int val);
-unsigned int gcd_set_opb(unsigned int val);
-unsigned int gcd_start();
-unsigned int gcd_get_result(unsigned int *val);
-unsigned int gcd_get_status(unsigned int *val);
+unsigned int giet_gcd_set_opa(unsigned int val);
+unsigned int giet_gcd_set_opb(unsigned int val);
+unsigned int giet_gcd_start();
+unsigned int giet_gcd_get_result(unsigned int *val);
+unsigned int giet_gcd_get_status(unsigned int *val);
 
 /* Block device related functions */
-unsigned int ioc_read(unsigned int lba, void *buffer, unsigned int count);
-unsigned int ioc_write(unsigned int lba, void *buffer, unsigned int count);
-unsigned int ioc_completed();
+unsigned int giet_ioc_read( unsigned int	lba, 
+                            void*			buffer, 
+                            unsigned int	count);
+unsigned int giet_ioc_write(unsigned int	lba, 
+                            void*			buffer, 
+                            unsigned int	count);
+unsigned int giet_ioc_completed();
 
 /* Frame buffer device related functions */
-unsigned int fb_sync_read(unsigned int offset, void *buffer, unsigned int length);
-unsigned int fb_sync_write(unsigned int offset, void *buffer, unsigned int length);
-unsigned int fb_read(unsigned int offset, void *buffer, unsigned int length);
-unsigned int fb_write(unsigned int offset, void *buffer, unsigned int length);
-unsigned int fb_completed();
-
-/* Software barrier related functions */
-unsigned int barrier_init(unsigned int index, unsigned int count);
-unsigned int barrier_wait(unsigned int index);
+unsigned int giet_fb_sync_read( unsigned int	offset, 
+                                void*			buffer, 
+                                unsigned int	length );
+unsigned int giet_fb_sync_write(unsigned int	offset, 
+                                void*			buffer, 
+                                unsigned int	length );
+unsigned int giet_fb_read(      unsigned int	offset, 
+                                void*			buffer, 
+                                unsigned int	length );
+unsigned int giet_fb_write(     unsigned int	offset, 
+                                void*			buffer, 
+                                unsigned int	length );
+unsigned int giet_fb_completed();
 
 /* Misc */
-void exit();
-unsigned int rand();
+unsigned int giet_vobj_get_vbase( char* vspace_name, 
+                                  char* vobj_name,
+                                  unsigned int vobj_type, 
+                                  unsigned int* vobj_vaddr );
+void         giet_exit();
+unsigned int giet_rand();
 unsigned int ctx_switch();
-unsigned int vobj_get_vbase( char* vspace_name, char* vobj_name,
-                        unsigned int vobj_type, unsigned int* vobj_buffer);
+unsigned int giet_procnumber();
 
 /*
  * memcpy function
- *
- * This function is likely not to be called directly but GCC can automatically
- * issue call to it during compilation so we must provide it. 'static inline'
- * so the function's code is directly included when used.
- *
+ * This function is required because it can be gnerated by GCC 
+ * during compilation so we must provide it.
  * Code taken from MutekH.
  */
